<html lang="en">
<head>
<title>Directory Display - Speedbar: File/Tag summarizing utility</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Speedbar: File/Tag summarizing utility">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="File-Mode.html#File-Mode" title="File Mode">
<link rel="prev" href="File-Mode.html#File-Mode" title="File Mode">
<link rel="next" href="Hidden-Files.html#Hidden-Files" title="Hidden Files">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Directory-Display"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="Hidden-Files.html#Hidden-Files">Hidden Files</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="File-Mode.html#File-Mode">File Mode</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="File-Mode.html#File-Mode">File Mode</a>
<hr>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">3.1 Directory Display</h3>

<p><a name="index-directory-display-17"></a>
There are three major sections in the display.  The first line or two is
the root directory speedbar is currently viewing.  You can jump to one
of the parent directories by clicking on the name of the directory you
wish to jump to.

   <p>Next, directories are listed.  A directory starts with the group
indicator button `<samp><span class="samp">&lt;+&gt;</span></samp>'.  Clicking the directory name makes speedbar
load that directory as the root directory for its display.  Clicking the
`<samp><span class="samp">&lt;+&gt;</span></samp>' button will list all directories and files beneath.

   <p>Next, files are listed.  Files start with the group indicator `<samp><span class="samp">[+]</span></samp>'
or `<samp><span class="samp">[?]</span></samp>'.  You can jump to a file in the attached frame by clicking
on the file name.  You can expand a file and look at its tags by
clicking on the `<samp><span class="samp">[+]</span></samp>' symbol near the file name.

   <p>A typical session might look like this:

<pre class="example">     ~/lisp/
     &lt;+&gt; checkdoc
     &lt;+&gt; eieio
     &lt;-&gt; speedbar
      [+] Makefile
      [+] rpm.el #
      [+] sb-gud.el #
      [+] sb-info.el #
      [+] sb-rmail.el #
      [+] sb-w3.el
      [-] speedbar.el *!
       {+} Types
       {+} Variables
       {+} def (group)
       {+} speedbar-
      [+] speedbar.texi *
     &lt;+&gt; testme
     [+] align.el
     [+] autoconf.el
</pre>
   <p>In this example, you can see several directories.  The directory
<samp><span class="file">speedbar</span></samp> has been opened inline.  Inside the directory
<samp><span class="file">speedbar</span></samp>, the file <samp><span class="file">speedbar.el</span></samp> has its tags exposed. 
These tags are extensive, and they are summarized into tag groups.

   <p>Files get additional boolean flags associated with them.  Valid flags are:

   <p><a name="index-file-flags-18"></a>
     <dl>
<dt><code>*</code><dd>This file has been checked out of a version control
system.  See <a href="Version-Control.html#Version-Control">Version Control</a>. 
<a name="index-g_t_0040code_007bspeedbar_002dobj_002dalist_007d-19"></a><br><dt><code>#</code><dd>This file has an up to date object file associated with it.  The
variable <code>speedbar-obj-alist</code> defines how speedbar determines this
value. 
<br><dt><code>!</code><dd>This file has an out of date object file associated with it. 
</dl>

   <p>A Tag group is prefixed with the symbol `<samp><span class="samp">{+}</span></samp>'.  Clicking this
symbol will show all symbols that have been organized into that group. 
Different types of files have unique tagging methods as defined by their
major mode.  Tags are generated with either the <code>imenu</code> package, or
through the <code>etags</code> interface.

   <p>Tag groups are defined in multiple ways which make it easier to find the
tag you are looking for.  Imenu keywords explicitly create groups, and
speedbar will automatically create groups if tag lists are too long.

   <p>In our example, Imenu created the groups `<samp><span class="samp">Types</span></samp>' and
`<samp><span class="samp">Variables</span></samp>'.  All remaining top-level symbols are then regrouped
based on the variable <code>speedbar-tag-hierarchy-method</code>.  The
subgroups `<samp><span class="samp">def</span></samp>' and `<samp><span class="samp">speedbar-</span></samp>' are groupings where the first
few characters of the given symbols are specified in the group name. 
Some group names may say something like `<samp><span class="samp">speedbar-t to speedbar-v</span></samp>',
indicating that all symbols which alphabetically fall between those
categories are included in that sub-group.  See <a href="Tag-Hierarchy-Methods.html#Tag-Hierarchy-Methods">Tag Hierarchy Methods</a>.

   </body></html>

